﻿Type=Activity
Version=5.2
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
End Sub

Sub Globals
	Private mCategories As Categories
	Private edit_category As Category=Null
	Private lsCategories As ListView
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.Title="The Perfet Purchase"
	Activity.LoadLayout("categories")
	mCategories.Initialize: ShowCategories
	mCategories.SetCallback(Me,"categories")
	edit_category=Null
End Sub

Sub Activity_Resume
	If Not(edit_category=Null) Then
		Log("Resume - Edit:" & edit_category.Description)
		mCategories.Add(edit_category)
		edit_category=Null
		ShowCategories
	End If
End Sub

Sub Activity_Pause (UserClosed As Boolean)
End Sub

Sub lsCategories_ItemLongClick (Position As Int, Value As Object)
	edit_category=Value
	
	Select Case Msgbox2("Which operation you want to perform on the category?",edit_category.Description,"Edit","Back","Remove",Null)
	Case DialogResponse.POSITIVE
		CallSubDelayed2("CategoryManager","EditCategory",edit_category)	
		Exit
	Case DialogResponse.NEGATIVE
		If Msgbox2("Confirm delete",edit_category.Description,"Yes","","No",Null)=DialogResponse.POSITIVE Then
			mCategories.Remove(edit_category)
			ShowCategories
		End If	
		Exit
	Case DialogResponse.CANCEL
		edit_category=Null		
		Exit
	End Select
End Sub

Sub lsCategories_ItemClick (Position As Int, Value As Object)	
	mCategories.ChangeSelection(Value)
End Sub

Sub btAddCategory_Click
	edit_category=mCategories.CreateNew
	DoEvents
	Log("Add - Edit:" & edit_category.Description)
	If Not(edit_category=Null) Then CallSubDelayed2("CategoryManager","InsertCategory",edit_category)
End Sub

Sub categories_SelectionChange
	ShowCategories
End Sub

Private Sub ShowCategories
	lsCategories.Clear
	For Each c As Category In mCategories.All
		If c=mCategories.Selected Then
			lsCategories.AddTwoLines2(c.Description,"Selected",c)
		Else	
			lsCategories.AddSingleLine2(c.Description,c)
		End If
	Next
End Sub